#
# spec file for package ocfs2-tools (Version 1.2.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs e2fsprogs-devel esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libsvg libsvg-cairo libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python python-cairo python-devel python-gtk python-numeric rcs readline readline-devel resmgr rpm sed shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim vte xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           ocfs2-tools
BuildRequires:  e2fsprogs-devel glib2-devel gnutls-devel libglade2-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel mDNSResponder-devel python-devel python-gtk readline-devel update-desktop-files vte
Summary:        Oracle Cluster File System 2 Core Tools
Version:        1.2.1
Release:        5.6
License:        GPL
Group:          System/Filesystems
Source:         ocfs2-tools-%{version}.tar.bz2
Patch0:         ocfs2-tools-suse.diff
Patch1:         blkid.m4.diff
Patch2:         offsetof.diff
URL:            http://oss.oracle.com/projects/ocfs2-tools/
Requires:       coreutils, net-tools, modutils, e2fsprogs, /sbin/chkconfig, glib2 >= 2.2.3
PreReq:         %insserv_prereq %fillup_prereq
AutoReqProv: on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
OCFS is the Oracle Cluster File System.

This package contains the core user-space tools needed for creating and
managing the file system.



Authors:
--------
    Oracle Corporation

%debug_package
%package -n ocfs2console
Summary:        Oracle Cluster Filesystem 2 GUI tools
Group:          System/Filesystems
Obsoletes:      ocfs2-support
Requires:       ocfs2-tools = %{version}
AutoReqProv: No
Requires:       e2fsprogs, glib2 >= 2.2.3, vte >= 0.11.10, python-gtk >= 1.99.16, ocfs2-tools = %{version}
%{py_requires}

%description -n ocfs2console
OCFS is the Oracle Cluster Filesystem.

This package contains additional tools and a GUI (python-gtk).



Authors:
--------
    Oracle Corporation

%prep
%setup -n ocfs2-tools-%{version}
%patch0 -p1
%patch1 -p1
%patch2
%{?suse_update_config:%{suse_update_config -f}}

%build
export CFLAGS="${CFLAGS} ${RPM_OPT_FLAGS}"
export PROJECT="ocfs2-tools"
autoreconf -fi -I /usr/share/aclocal
%configure --disable-debug --prefix=/usr --mandir=/usr/share/man 
# --enable-dynamic-fsck=yes --enable-dynamic-ctl=yes
make

%install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/sbin
cp -f vendor/common/o2cb.init $RPM_BUILD_ROOT/etc/init.d/o2cb
cp -f vendor/common/ocfs2.init $RPM_BUILD_ROOT/etc/init.d/ocfs2
ln -sf ../etc/init.d/o2cb  $RPM_BUILD_ROOT/sbin/rco2cb
ln -sf ../etc/init.d/ocfs2  $RPM_BUILD_ROOT/sbin/rcocfs2
mkdir -p ${RPM_BUILD_ROOT}/var/adm/fillup-templates
cp -f vendor/common/o2cb.sysconfig ${RPM_BUILD_ROOT}/var/adm/fillup-templates/sysconfig.o2cb
make DESTDIR="$RPM_BUILD_ROOT" install
mv $RPM_BUILD_ROOT/{,/usr}/sbin/debugfs.ocfs2
mv $RPM_BUILD_ROOT/{,/usr}/sbin/ocfs2cdsl
%{__python} -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT/%{py_sitedir}/ocfs2interface', ddir='%{py_sitedir}/ocfs2interface')"

%clean
if
  [ -n "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]
then
  rm -rf $RPM_BUILD_ROOT
fi

%post
%run_ldconfig
%{fillup_and_insserv -n -y -Y o2cb o2cb}
%{fillup_and_insserv -n -y -Y ocfs2 ocfs2}

%preun
%stop_on_removal ocfs2
%stop_on_removal o2cb

%postun
%run_ldconfig
%restart_on_update ocfs2
%restart_on_update o2cb
%{insserv_cleanup}

%files
%defattr(-,root,root)
/sbin/fsck.ocfs2
/sbin/mkfs.ocfs2
/sbin/mounted.ocfs2
/sbin/tunefs.ocfs2
/sbin/o2cb_ctl
/sbin/mount.ocfs2
/sbin/ocfs2_hb_ctl
/usr/sbin/debugfs.ocfs2
/usr/sbin/ocfs2cdsl
/sbin/rco2cb
/sbin/rcocfs2
/etc/init.d/o2cb
/etc/init.d/ocfs2
/usr/share/man/man8/debugfs.ocfs2.8*
/usr/share/man/man8/fsck.ocfs2.8*
/usr/share/man/man8/fsck.ocfs2.checks.8*
/usr/share/man/man8/mkfs.ocfs2.8*
/usr/share/man/man8/tunefs.ocfs2.8*
/usr/share/man/man8/mounted.ocfs2.8*
/usr/share/man/man8/o2cb_ctl.8*
/usr/share/man/man8/ocfs2_hb_ctl.8*
/usr/share/man/man8/ocfs2cdsl.8*
/var/adm/fillup-templates/sysconfig.o2cb
%doc README.O2CB COPYING CREDITS MAINTAINERS
%doc documentation/users_guide.txt

%files -n ocfs2console
%defattr(-,root,root)
%{py_sitedir}/ocfs2interface
/usr/sbin/ocfs2console
/usr/share/man/man8/ocfs2console.8*

%changelog -n ocfs2-tools
* Wed May 24 2006 - lmb@suse.de
- Fix "o2cb configure".
* Mon May 22 2006 - lmb@suse.de
- Allow heartbeat mode to be set on boot (#177524).
* Wed May 03 2006 - kukuk@suse.de
- Fix compile with new glibc
* Wed Apr 26 2006 - lmb@suse.de
- Update to 1.2.1 to match in-kernel version.
* Mon Apr 24 2006 - lmb@suse.de
- Create /sbin/rcocfs2, rco2cb symlinks (#167261).
* Tue Apr 04 2006 - lmb@suse.de
- Install "ocfs2" init script and enable it (#160724).
* Fri Mar 03 2006 - jeffm@suse.com
- Updated to version 1.2.0, per Oracle
* Fri Mar 03 2006 - jeffm@suse.com
- Enabled o2cb by default on package install to allow it to shut
  down when manually started. Otherwise, the system will hang
  during shutdown.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov 11 2005 - lmb@suse.de
- Should-Start: iscsi added (from SLES9) (#114733)
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Tue Nov 01 2005 - jeffm@suse.com
- Update to version 1.1.3 - SVN 1105
* Mon Aug 22 2005 - garloff@suse.de
- Fix python defines.
* Mon Aug 22 2005 - garloff@suse.de
- Fix build with different python versions.
- Fix package description.
* Sat Aug 20 2005 - lmb@suse.de
- Initial packaging of ocfs2-tools, from SLES9.
- Update to version 1.1.1 - SVN 1063
